<!---
	/* ***************************************************************
	/*
	Author: 	Carlos Villarreal Mora
	Name:		$likeBox.cfm
	Summary:	Uses FBML to render Facebook's Like Box using data from the Custom Element
	History:
		2010-06-24 - CVM - Created
--->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	if (arrayLen(items)) {
		likeBoxStruct = items[1].values;
		
		//initialize Facebook API
		application.facebook2.scripts.loadFacebookJS();
	}
</cfscript>

<cfif isDefined("likeBoxStruct")><cfoutput>
	<fb:like-box profile_id="#likeBoxStruct.pageID#"
		<cfif len(likeBoxStruct.width)>width="#likeBoxStruct.width#" </cfif>
		<cfif len(likeBoxStruct.connections)>connections="#likeBoxStruct.connections#" </cfif>
		<cfif likeBoxStruct.stream neq true>stream="false" </cfif>
		<cfif likeBoxStruct.header neq true>header="false" </cfif>
	/>
</cfoutput></cfif>